## ros-indigo-turtle-concert 0.6.7

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(turtle_concert)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED
       COMPONENTS
           roscpp std_srvs
           gateway_msgs
           geometry_msgs
           turtlesim
       )
include_directories(SYSTEM ${catkin_INCLUDE_DIRS})

catkin_package(
       CATKIN_DEPENDS
           roscpp
           std_srvs
           gateway_msgs
           geometry_msgs
           turtlesim
       )

##############################################################################
# Project
##############################################################################

add_executable(turtle_stroll src/turtle_stroll.cpp)
add_dependencies(turtle_stroll turtlesim_gencpp)
add_dependencies(turtle_stroll gateway_msgs_gencpp)
add_dependencies(turtle_stroll geometry_msgs_gencpp)
add_dependencies(turtle_stroll std_srvs_gencpp)
target_link_libraries(turtle_stroll ${catkin_LIBRARIES})

##############################################################################
# Installs
##############################################################################

install(
    PROGRAMS 
        scripts/teleop.py
        scripts/turtle_pond.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )

install(TARGETS turtle_stroll RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY solutions
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY concert
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY rapps
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY services
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-turtle-concert (0.6.7-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 05 May 2015 15:00:00 -0000

ros-indigo-turtle-concert (0.6.6-0trusty) trusty; urgency=high

  * default values for request turtle closes #58 <https://github.com/robotics-in-concert/rocon_tutorials/issues/58>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-indigo-turtle-concert (0.6.5-0trusty) trusty; urgency=high

  * change name of auto enable service argument
  * Contributors: dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-turtle-concert (0.6.4-0trusty) trusty; urgency=high

  * install turtle_pony.py closes #52 <https://github.com/robotics-in-concert/rocon_tutorials/issues/52>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 06 Jan 2015 15:00:00 -0000

ros-indigo-turtle-concert (0.6.3-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 04 Jan 2015 15:00:00 -0000

ros-indigo-turtle-concert (0.6.2-0trusty) trusty; urgency=high

  * updating compatibility of webapps and weburls closes #50 <https://github.com/robotics-in-concert/rocon_tutorials/issues/50>
  * auto_enable_services now use all instead of bool
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 28 Nov 2014 15:00:00 -0000

ros-indigo-turtle-concert (0.6.1-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 25 Aug 2014 15:00:00 -0000

ros-indigo-turtle-concert (0.6.0-0trusty) trusty; urgency=high

  * relative path rapps
  * rename teleop to video_teleop
  * turtle concert parameter ready
  * add missing turtlesim parameters.
  * build include path 'include' does not exist
  * full launcher configuration via service parameters.
  * turtle2 moving in, closes #39 <https://github.com/robotics-in-concert/rocon_tutorials/issues/39>.
  * indigo updates for queue_size.
  * use the new preemptive_compatibility_tree scheduler declaration
  * rocon_qt_teleop tutorial for the rocon app manager.
  * update for new web url interactions
  * remove the 10s sleep for turtle pond service.
  * local machine args for babbler and turtle concert, see also #36 <https://github.com/robotics-in-concert/rocon_tutorials/issues/36>.
  * dynamic canceling and requesting to support preemptible turtles.
  * unnecessary priority listing in turtle pond service removed.
  * usable configuration for service priorities.
  * rocon_scheduler_requests -> concert_scheduling/concert_scheduler_requests
  * rocon_service -> concert_service
  * turtle2 with turtlesim2 concert.
  * configurable scheduler from the command line.
  * bugfix scheduler typo -> compatibility_tree
  * turtle pond now a ros (not a link graph) service and uses the scheduler switcher.
  * integrating jack's scheduler into the tutorials.
  * teleop now uses parent rapp.
  * Customise the concert name for the turtle teleop concert.
  * revert the flexibility, not possible because nested subst variables (find outside of an arg) in the concert master launcher.
  * update to new concert arg format.
  * use the central icons pack.
  * parameterisation and override experiments, solution bundling folders added.
  * typo fix, rocon_services_admin -> rocon_service_admin
  * head shot to hopefully the last rocon_utilities reference
  * rename resource to resource_name
  * service argument now accpes solution configuration instead of list of services
  * bugfix typos in service list and fix turtle pond interactions file.
  * some helpful comments
  * solution parameter tests
  * rename turtle to turtle_pond for consistency and compatibility
  * add services file for solution
  * update concert format to load services file
  * switch to icons in rocon_icons.
  * doc interactions for the chatter and turtle concerts
  * remove now unused rocon_utilities dependency.
  * rename interface into public_interface
  * fix typo pointing to admin service in turtle concerts.
  * turtle teleop concert for testing.
  * turtle_concert/teleop rapp.
  * moved services to new rocon_services repo.
  * fix the spawning turtles from spawning - problem was in flipping two
    topics from separate clients with the same node names.
  * comment about the relay, also remove the debug service pair client.
  * stop chaining ros service calls (creates timeouts everywhere). Still some problems spawning elsewhere though - python service pairs?
  * rename turtles service to turtle pond.
  * upgraded turtlesim tutorial.
  * flip pose as well.
  * flip across the engine room to the hatchling.
  * hatchling now flipping everything correctly.
  * continued work on the turtles for turtlesim.
  * collapse turtle launchers using rocon launcher args.
  * turtle herder script working
  * spawn testing.
  * more work on the herder
  * start upgrading turtlesim
  * default to a central admin service.
  * adjustments to drop heir-part of uri if no concert name
  * upgrade to service exports instead of service lists.
  * chatter and turtle concerts upgraded for the new rocon uri.
  * concert_service_roslaunch -> concert_service_link_graph.
  * platform tuple overhaul.
  * make use of required roslaunch tag in rapps.
  * update for exported rapp specifications.
  * remove legacy references to concert_orchestra.
  * environment variables for selecting the scheduler/requester (beware incomptaibile combinations)
  * forgot to switch the requester for these...closes #17 <https://github.com/robotics-in-concert/rocon_tutorials/issues/17>
  * fix install rules.
  * minor modifications, also updated chatter and turtle concerts.
  * turtle concert compatible for both. old and new style of concert
  * titles for chatter and turtle concerts.
  * deprecate the old platform info message.
  * updates for legacy master.
  * parameterisation for local remote control of clients only.
  * Contributors: Daniel Stonier, Jihoon Lee, dwlee



=== debian/control ===
Source: ros-indigo-turtle-concert
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-gateway-msgs, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-std-srvs, ros-indigo-turtlesim
Homepage: http://ros.org/wiki/turtle_concert
Standards-Version: 3.9.2

Package: ros-indigo-turtle-concert
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-concert-master, ros-indigo-concert-msgs, ros-indigo-concert-scheduler-requests, ros-indigo-concert-service-admin, ros-indigo-concert-service-turtlesim, ros-indigo-gateway-msgs, ros-indigo-geometry-msgs, ros-indigo-rocon-app-manager, ros-indigo-rocon-apps, ros-indigo-rocon-bubble-icons, ros-indigo-rocon-python-comms, ros-indigo-rocon-python-utils, ros-indigo-rocon-uri, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-srvs, ros-indigo-turtlesim, ros-indigo-zeroconf-avahi, ros-indigo-zeroconf-msgs
Description: A very simple software concert.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-turtle-concert//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
